Loading...
Searching...
No Matches
Catch::Timer Class Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

void | start ()
auto | getElapsedNanoseconds () const -> uint64_t
auto | getElapsedMicroseconds () const -> uint64_t
auto | getElapsedMilliseconds () const -> unsigned int
auto | getElapsedSeconds () const -> double

## Private Attributes

uint64_t | m_nanoseconds = 0

## Member Function Documentation

## getElapsedMicroseconds()

auto Catch::Timer::getElapsedMicroseconds | ( |  | ) | const -> uint64_t

Here is the call graph for this function:
Here is the caller graph for this function:

## getElapsedMilliseconds()

auto Catch::Timer::getElapsedMilliseconds | ( |  | ) | const -> unsigned int

Here is the call graph for this function:

## getElapsedNanoseconds()

auto Catch::Timer::getElapsedNanoseconds | ( |  | ) | const -> uint64_t

Here is the caller graph for this function:

## getElapsedSeconds()

auto Catch::Timer::getElapsedSeconds | ( |  | ) | const -> double

Here is the call graph for this function:

## start()

void Catch::Timer::start | ( |  | ) |

## Member Data Documentation

## m_nanoseconds

uint64_t Catch::Timer::m_nanoseconds = 0

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp